- Home
- API Enriched
- Ddos
- infraprotect
- List reports.
List reports.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/reports';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"2026-04-15T12:00:00Z","namespace":"example","start_time":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/reports \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "start_time": "2026-04-15T12:00:00Z" }'Returns a list of available reports to be downloaded. Reports summarise an event or a mitigation in a single PDF document.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET a list of available reports.
object
End time of metric collection from which data will be considered to build graph. Format: RFC3339 string
Optional: If not specified, then the end_time will be evaluated to
This request is supported only in system namespace.
Start time of metric collection from which data will be considered to build graph. Format: RFC3339 string
Optional: If not specified, then the start_time will be evaluated to
Examplegenerated
{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "start_time": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”A successful response.
List of available reports.
object
List of reports available to the tenant.
A single DDoS report record.
object
RFC3339 string of the creation date.
Name of the report.
ID of the report.
Name of the report.
True if the report is scheduled.
Full name, including the date part.
Optional, only present if scheduled is set to true.
Type of the report.
Document version assigned by generic object store.
Examplegenerated
{ "reports": [ { "created_at": "2026-04-15T12:00:00Z", "gos_name": "example", "id": "example", "name": "example", "scheduled": true, "scheduled_name": "example", "type": "example", "version": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example